require(zoo)

### Figure 1 ###
pdf("../Plots/Figure1.pdf")

aub1 <- read.csv(file="../des/abp.csv",head=TRUE,sep=",")
aub2 <- read.csv(file="../des/exps.csv",head=TRUE,sep=",")

td <-seq(as.Date("1986/1/1"), as.Date("2001/12/1"), "months") 

m1<- zoo(aub1[,3:4],order.by=td)
m2<- zoo(aub1[,13:14],order.by=td)
m3<- zoo(aub2[,3:4],order.by=td)
m4<- zoo(aub2[,13:14],order.by=td)
par(mfrow=c(2,2),oma = c(3,0,0,0))
ylim=c(0,1)
lty=c("dashed", "solid")
ylab="Proportion"
xlab="Time"
plot(m1,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Claims: Males",col=c("black","red"))
plot(m2,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Claims: Females",col=c("black","red"))
plot(m3,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Exposure (in years): Males",col=c("black","red"))
plot(m4,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Exposure (in years): Females",col=c("black","red"))

#mtext("Fig.1 - Insured Population by Age", 3,2,outer=T, cex=1.5)
#mtext("Composition over time, by Claims and by Exposure", 3,0,outer=T, cex=1)

mtext("--- 15-44",col="black", 1,0,outer=T, cex=1)
mtext("___ 45-64",col="red", 1,1.5,outer=T, cex=1)
dev.off()


### Appendix Plots ###
pdf("../Plots/FigureA1.pdf")
par(mfrow=c(2,2),oma = c(3,0,0,0))

m1<- zoo(aub1[,5:6],order.by=td)
m2<- zoo(aub1[,15:16],order.by=td)
m3<- zoo(aub2[,5:6],order.by=td)
m4<- zoo(aub2[,15:16],order.by=td)

ylim=c(0,1)
lty=c("dashed", "solid")
ylab="Proportion"
xlab="Time"
plot(m1,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Claims: Males",col=c("black","red"))
plot(m2,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Claims: Females",col=c("black","red"))
plot(m3,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Exposure (in years): Males",col=c("black","red"))
plot(m4,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Exposure (in years): Females",col=c("black","red"))


#mtext("Fig. A1 - Insured Population by Occupation", 3,2,outer=T, cex=1.5)
#mtext("Composition over time, by Claims and by Exposure", 3,0,outer=T, cex=1)

mtext("--- Occ A",col="black", 1,0,outer=T, cex=1)
mtext("___ Occ C",col="red", 1,1.5,outer=T, cex=1)
dev.off()

pdf("../Plots/FigureA2.pdf")
par(mfrow=c(2,2),oma = c(3,0,0,0))

m1<- zoo(aub1[,10:11],order.by=td)
m2<- zoo(aub1[,20:21],order.by=td)
m3<- zoo(aub2[,10:11],order.by=td)
m4<- zoo(aub2[,20:21],order.by=td)

ylim=c(0,1)
lty=c("dashed", "solid")
ylab="Proportion"
xlab="Time"
plot(m1,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Claims: Males",col=c("black","red"))
plot(m2,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Claims: Females",col=c("black","red"))
plot(m3,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Exposure (in years): Males",col=c("black","red"))
plot(m4,screens=1,lty=lty,ylim=ylim,ylab=ylab,xlab=xlab,main="Exposure (in years): Females",col=c("black","red"))


#mtext("Fig. A2 - Insured Population by Deferment Period", 3,2,outer=T, cex=1.5)
#mtext("Composition over time, by Claims and by Exposure", 3,0,outer=T, cex=1)

mtext("--- Defer 2 Weeks",col="black", 1,0,outer=T, cex=1)
mtext("___ Defer 1 Month",col="red", 1,1.5,outer=T, cex=1)
dev.off()

### Figure 2 ###
pdf("../Plots/Figure2.pdf")
aub1 <- read.csv(file="../des/ab1.csv",head=TRUE,sep=",")

aub1a<-subset(aub1,sex=="M")
aub2a<-subset(aub1,sex=="F")

ae1<- aub1a[,5]/aub1a[,6]
ae2<- aub2a[,5]/aub2a[,6]

ua1<-aub1a[,10]
ua2<-aub2a[,10]

#windows(width=7, height=5)
par(mfrow=c(1,2),oma = c(0,0,0,0))
xmin=min(c(ua1,ua2))
xmax=max(c(ua1,ua2))
ymin=min(c(ae1,ae2))
ymax=max(c(ae1,ae2))
plot(ua1,ae1,main="Males",xlab="Unemployment Rate",ylab="Actual-over-Expected",xlim=c(xmin,xmax),ylim=c(ymin,ymax),pch="*")
lines(lowess(ua1,ae1,f=1/3),col="blue")
plot(ua2,ae2,main="Females",xlab="Unemployment Rate",ylab="Actual-over-Expected",xlim=c(xmin,xmax),ylim=c(ymin,ymax),pch="*")
lines(lowess(ua2,ae2,f=1/3),col="red")
#mtext("Fig. 2 - Insured Population", 3,2,outer=T, cex=1.5)
#mtext("Scatterplot of A/E vs Unemployment Rate", 3,0,outer=T, cex=1)
dev.off()

